Request
curl https://sandbox.api.lendeasy.ai/v1/customers/$CUSTOMER_ID/loan-party-links \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/customers/${customerId}/loan-party-links`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/customers/{customer_id}/loan-party-links",
headers={"Authorization": f"Bearer {token}"},
)
{
"items": [
{
"partyId": 88,
"loanRef": "7204",
"partyOwnerType": "CUSTOMER",
"partyOwnerRef": "412",
"role": "AUTHORIZED_THIRD_PARTY",
"authorityScope": {
"mayReceiveInformation": true,
"mayMakePayments": false,
"maySignDocuments": false,
"mayApproveActions": false,
"mayReceiveNotices": true
},
"status": "ACTIVE",
"effectiveFrom": "2027-05-01T00: 00:00Z",
"evidenceRef": "doc_POA_4",
"createdAt": "2027-05-01T16: 00:00Z",
"lastModifiedAt": "2027-05-01T16: 00:00Z"
}
]
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}